ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Andrew Onischuk (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-16964) Upgrade Catalog 2.4 is not idempotent
Date Tue, 31 May 2016 13:43:12 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-16964?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15307736#comment-15307736
] 

Andrew Onischuk commented on AMBARI-16964:
------------------------------------------

The patch affects Upgrade Catalogs only. 
org.apache.ambari.server.state.stack.ConfigUpgradeValidityTest fails even without the patch
on BAO. Other tests are fine with the patch.
org.apache.ambari.server.controller.internal.HostResourceProviderTest passed locally, the
output:

-------------------------------------------------------
 T E S T S
-------------------------------------------------------
Running org.apache.ambari.server.controller.internal.HostResourceProviderTest
Tests run: 31, Failures: 0, Errors: 0, Skipped: 0, Time elapsed: 1.228 sec - in org.apache.ambari.server.controller.internal.HostResourceProviderTest

Results :

Tests run: 31, Failures: 0, Errors: 0, Skipped: 0

> Upgrade Catalog 2.4 is not idempotent
> -------------------------------------
>
>                 Key: AMBARI-16964
>                 URL: https://issues.apache.org/jira/browse/AMBARI-16964
>             Project: Ambari
>          Issue Type: Bug
>            Reporter: Andrew Onischuk
>            Assignee: Andrew Onischuk
>             Fix For: 2.4.0
>
>         Attachments: AMBARI-16964.patch
>
>
> **STR:**  
> Run ambrai-server upgrade twice (a with metainfo change).  
> **Result:**
>     
>     
>     30 May 2016 14:21:20,392 ERROR [main] DBAccessorImpl:803 - Error executing query:
UPDATE viewinstance SET cluster_handle_dummy = 2 WHERE cluster_handle = 'cl1'
>     org.postgresql.util.PSQLException: ERROR: invalid input syntax for integer: "cl1"
>       Position: 73
>             at org.postgresql.core.v3.QueryExecutorImpl.receiveErrorResponse(QueryExecutorImpl.java:2161)
>             at org.postgresql.core.v3.QueryExecutorImpl.processResults(QueryExecutorImpl.java:1890)
>             at org.postgresql.core.v3.QueryExecutorImpl.execute(QueryExecutorImpl.java:255)
>             at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:559)
>             at org.postgresql.jdbc2.AbstractJdbc2Statement.executeWithFlags(AbstractJdbc2Statement.java:403)
>             at org.postgresql.jdbc2.AbstractJdbc2Statement.execute(AbstractJdbc2Statement.java:395)
>             at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:800)
>             at org.apache.ambari.server.orm.DBAccessorImpl.executeQuery(DBAccessorImpl.java:792)
>             at org.apache.ambari.server.upgrade.UpgradeCatalog240.updateViewInstanceTable(UpgradeCatalog240.java:2352)
>             at org.apache.ambari.server.upgrade.UpgradeCatalog240.executeDDLUpdates(UpgradeCatalog240.java:277)
>             at org.apache.ambari.server.upgrade.AbstractUpgradeCatalog.upgradeSchema(AbstractUpgradeCatalog.java:699)
>             at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.executeUpgrade(SchemaUpgradeHelper.java:201)
>             at org.apache.ambari.server.upgrade.SchemaUpgradeHelper.main(SchemaUpgradeHelper.java:302)
>     30 May 2016 14:21:20,424 ERROR [main] SchemaUpgradeHelper:203 - Upgrade failed.
>     



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message